libdc1394: dc1394/vendor/basler.h File Reference

libdc1394 2.2.7

Functions
basler.h File Reference

No docs yet. More...

`#include "basler_sff.h"`

## Functions
dc1394error_t | dc1394_basler_sff_is_available (dc1394camera_t *camera, dc1394bool_t *available)
dc1394error_t | dc1394_basler_sff_feature_is_available (dc1394camera_t *camera, dc1394basler_sff_feature_t feature_id, dc1394bool_t *available)
dc1394error_t | dc1394_basler_sff_feature_enable (dc1394camera_t *camera, dc1394basler_sff_feature_t feature_id, dc1394switch_t on_off)
dc1394error_t | dc1394_basler_sff_feature_is_enabled (dc1394camera_t *camera, dc1394basler_sff_feature_t feature_id, dc1394bool_t *is_enabled)
dc1394bool_t | dc1394_basler_sff_check_crc (const uint8_t *frame_buffer, uint32_t frame_size)
dc1394error_t | dc1394_basler_sff_chunk_iterate_init (dc1394basler_sff_t *chunk, void *frame_buffer, uint32_t frame_size, dc1394bool_t has_crc_checksum)
dc1394error_t | dc1394_basler_sff_chunk_iterate (dc1394basler_sff_t *chunk)
dc1394error_t | dc1394_basler_sff_chunk_find (dc1394basler_sff_feature_t feature_id, void **chunk_data, void *frame_buffer, uint32_t frame_size, dc1394bool_t has_crc_checksum)
dc1394error_t | dc1394_basler_sff_feature_print (dc1394camera_t *camera, dc1394basler_sff_feature_t feature_id, FILE *fd)
dc1394error_t | dc1394_basler_sff_feature_print_all (dc1394camera_t *camera, FILE *fd)

## Detailed Description

No docs yet.

More details soon

## Function Documentation

## ◆ dc1394_basler_sff_check_crc()

dc1394bool_t dc1394_basler_sff_check_crc | ( | const uint8_t * | frame_buffer,
|  | uint32_t | frame_size )

Checks the crc checksum of the supplied frame

## ◆ dc1394_basler_sff_chunk_find()

dc1394error_t dc1394_basler_sff_chunk_find | ( | dc1394basler_sff_feature_t | feature_id,
|  | void ** | chunk_data,
|  | void * | frame_buffer,
|  | uint32_t | frame_size,
|  | dc1394bool_t | has_crc_checksum )

Finds a specific SFF chunk in the frame buffer

## ◆ dc1394_basler_sff_chunk_iterate()

dc1394error_t dc1394_basler_sff_chunk_iterate | ( | dc1394basler_sff_t * | chunk | ) |

Iterates over the available SFF chunks in the frame buffer

## ◆ dc1394_basler_sff_chunk_iterate_init()

dc1394error_t dc1394_basler_sff_chunk_iterate_init | ( | dc1394basler_sff_t * | chunk,
|  | void * | frame_buffer,
|  | uint32_t | frame_size,
|  | dc1394bool_t | has_crc_checksum )

Initializes an iteration

## ◆ dc1394_basler_sff_feature_enable()

dc1394error_t dc1394_basler_sff_feature_enable | ( | dc1394camera_t * | camera,
|  | dc1394basler_sff_feature_t | feature_id,
|  | dc1394switch_t | on_off )

Enables or disables a specific feature

## ◆ dc1394_basler_sff_feature_is_available()

dc1394error_t dc1394_basler_sff_feature_is_available | ( | dc1394camera_t * | camera,
|  | dc1394basler_sff_feature_t | feature_id,
|  | dc1394bool_t * | available )

Tests whether the camera supports the specified SFF feature

## ◆ dc1394_basler_sff_feature_is_enabled()

dc1394error_t dc1394_basler_sff_feature_is_enabled | ( | dc1394camera_t * | camera,
|  | dc1394basler_sff_feature_t | feature_id,
|  | dc1394bool_t * | is_enabled )

checks if a feature has been enabled

## ◆ dc1394_basler_sff_feature_print()

dc1394error_t dc1394_basler_sff_feature_print | ( | dc1394camera_t * | camera,
|  | dc1394basler_sff_feature_t | feature_id,
|  | FILE * | fd )

prints info about one feature

## ◆ dc1394_basler_sff_feature_print_all()

dc1394error_t dc1394_basler_sff_feature_print_all | ( | dc1394camera_t * | camera,
|  | FILE * | fd )

prints info about all features

## ◆ dc1394_basler_sff_is_available()

dc1394error_t dc1394_basler_sff_is_available | ( | dc1394camera_t * | camera,
|  | dc1394bool_t * | available )

Tests whether the camera supports Basler SFF